diff -r cbd3ea351e31 src/c4group/C4Group.cpp
--- a/src/c4group/C4Group.cpp	Mon Mar 29 01:58:02 2010 +0200
+++ b/src/c4group/C4Group.cpp	Mon Mar 29 22:35:31 2010 +0200
@@ -6,6 +6,7 @@
  * Copyright (c) 2002-2008  Peter Wortmann
  * Copyright (c) 2004-2008  Günther Brammer
  * Copyright (c) 2005  Armin Burgmeier
+ * Copyright (c) 2010  Carl-Philip Hänsch
  * Copyright (c) 2001-2009, RedWolf Design GmbH, http://www.clonk.de
  *
  * Portions might be copyrighted by other authors who have contributed
@@ -82,7 +83,7 @@
 char C4Group_Maker[C4GroupMaxMaker+1]="";
 char C4Group_Passwords[CFG_MaxString+1]="";
 char C4Group_TempPath[_MAX_PATH+1]="";
-char C4Group_Ignore[_MAX_PATH+1]="cvs;Thumbs.db";
+char C4Group_Ignore[_MAX_PATH+1]="cvs;Thumbs.db;*.*~";
 const char **C4Group_SortList = NULL;
 time_t C4Group_AssumeTimeOffset=0;
 bool (*C4Group_ProcessCallback)(const char *, int)=NULL;
@@ -122,7 +123,9 @@
 
 bool C4Group_TestIgnore(const char *szFilename)
 {
-	return *GetFilename(szFilename) == '.' || SIsModule(C4Group_Ignore,GetFilename(szFilename));
+	const char* name = GetFilename(szFilename);
+	return *name == '.' //no hidden files and the directory itself
+		|| SIsModule(C4Group_Ignore,name); //no ignored groups
 }
 
 bool C4Group_IsGroup(const char *szFilename)
diff -r cbd3ea351e31 src/gui/C4StartupScenSelDlg.cpp
--- a/src/gui/C4StartupScenSelDlg.cpp	Mon Mar 29 01:58:02 2010 +0200
+++ b/src/gui/C4StartupScenSelDlg.cpp	Mon Mar 29 22:35:31 2010 +0200
@@ -7,6 +7,7 @@
  * Copyright (c) 2006  Florian Groß
  * Copyright (c) 2008  Peter Wortmann
  * Copyright (c) 2009  Nicolas Hake
+ * Copyright (c) 2010  Carl-Philip Hänsch
  * Copyright (c) 2005-2009, RedWolf Design GmbH, http://www.clonk.de
  *
  * Portions might be copyrighted by other authors who have contributed
@@ -567,8 +568,10 @@
 	for (; (szChildFilename = **pIter); ++*pIter)
 	{
 		// Ignore directory navigation entries and CVS folders
-		if (!*szChildFilename || *GetFilename(szChildFilename)=='.') continue;
-		if (SEqualNoCase(GetFilename(szChildFilename), "CVS")) continue;
+		const char* name = GetFilename(szChildFilename);
+		if (!*szChildFilename || *name=='.') continue;
+		if (SEqualNoCase(name, "CVS")) continue;
+		if (name[strlen(name) - 1] == '~') continue;
 		if (WildcardMatch(C4CFN_ScenarioFiles, szChildFilename) || WildcardMatch(C4CFN_FolderFiles, szChildFilename)) break;
 		if (DirectoryExists(szChildFilename))
 			if (DirContainsScenarios(szChildFilename))
@@ -1094,6 +1097,7 @@
 			// Ignore directory navigation entries and CVS folders
 			if (!*szChildFilename || *szChildFilename=='.') continue;
 			if (SEqualNoCase(szChildFilename, "CVS")) continue;
+			if (szChildFilename[strlen(szChildFilename) - 1] == '~') continue;
 			if (names.find(szChildFilename) != names.end()) continue;
 			names.insert(szChildFilename);
 			// filename okay; create this item
